using System;
using UnityEngine;

namespace EngineSdkConverter.Unity.SDK
{
    public class AgeRangeTypeBuilder
    {
        public class AgeRangeType
        {
            public int testMode;
            public int threshold1;
            public int? threshold2;
            public int? threshold3;
        }

        private AgeRangeType _ageRangeType;

        public AgeRangeTypeBuilder()
        {
            _ageRangeType = new AgeRangeType();
        }

        public AgeRangeTypeBuilder SetTestMode(int testMode)
        {
            _ageRangeType.testMode = testMode;
            return this;
        }

        public AgeRangeTypeBuilder SetThreshold1(int threshold1)
        {
            _ageRangeType.threshold1 = threshold1;
            return this;
        }

        public AgeRangeTypeBuilder SetThreshold2(int threshold2)
        {
            _ageRangeType.threshold2 = threshold2;
            return this;
        }

        public AgeRangeTypeBuilder SetThreshold3(int threshold3)
        {
            _ageRangeType.threshold3 = threshold3;
            return this;
        }

        public AgeRangeType Build()
        {
            return _ageRangeType;
        }
    }
}